Bug 835221 - [abrt] htop-1.0-1.fc17: CRT_handleSIGSEGV: Process /usr/bin/htop was killed by signal 6 (SIGABRT)
[abrt] htop-1.0-1.fc17: CRT_handleSIGSEGV: Process /usr/bin/htop was killed b...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: htop (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milos Jakubicek
Fedora Extras Quality Assurance
abrt_hash:49300570cffcbe4fe6188fb583d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 15:46 EDT by Vedran Miletić
Modified: 2012-07-26 18:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 18:36:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.49 KB, text/plain)
2012-06-25 15:46 EDT, Vedran Miletić
no flags Details
File: maps (4.81 KB, text/plain)
2012-06-25 15:47 EDT, Vedran Miletić
no flags Details

  None (edit)
Description Vedran Miletić 2012-06-25 15:46:53 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 3
cmdline:        htop
comment:        Press 'k' on process that is already killed but did not yet get removed from the list.
crash_function: CRT_handleSIGSEGV
executable:     /usr/bin/htop
kernel:         3.4.3-1.fc17.x86_64
pid:            7964
pwd:            /home/vedranm
time:           Mon 25 Jun 2012 20:49:46 CEST
uid:            1000
username:       vedranm

backtrace:      Text file, 15860 bytes
maps:           Text file, 4921 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/vedranm/2

core_backtrace:
:ff8d78c2ca513147704d025ce84fe9304f7ef445 0x35965 raise libc.so.6 -
:ff8d78c2ca513147704d025ce84fe9304f7ef445 0x37118 abort libc.so.6 -
:c75e339df186b4f771cef6fd7cfdb1daed44e357 0x98ef - [exe] -

dso_list:
:/usr/lib64/libncursesw.so.5.9 ncurses-libs-5.9-4.20120204.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libtinfo.so.5.9 ncurses-libs-5.9-4.20120204.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib/locale/locale-archive glibc-common-2.15-48.fc17.x86_64 (Fedora Project) 1340637854
:/usr/lib64/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.x86_64 (Fedora Project) 1337719189
:/usr/lib64/gconv/gconv-modules.cache glibc-2.15-48.fc17.x86_64 (Fedora Project) 1340637849
:/usr/lib64/libc-2.15.so glibc-2.15-48.fc17.x86_64 (Fedora Project) 1340637849
:/usr/lib64/libm-2.15.so glibc-2.15-48.fc17.x86_64 (Fedora Project) 1340637849
:/usr/lib64/libnss_files-2.15.so glibc-2.15-48.fc17.x86_64 (Fedora Project) 1340637849
:/usr/lib64/ld-2.15.so glibc-2.15-48.fc17.x86_64 (Fedora Project) 1340637849
:/usr/lib64/libdl-2.15.so glibc-2.15-48.fc17.x86_64 (Fedora Project) 1340637849
:/usr/lib64/libpagemap.so.0.0.0 libpagemap-0.0.1-10.fc17.x86_64 (Fedora Project) 1340559235
:/usr/bin/htop htop-1.0-1.fc17.x86_64 (Fedora Project) 1340559236
:/usr/lib64/libpthread-2.15.so glibc-2.15-48.fc17.x86_64 (Fedora Project) 1340637849

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=kalopsia
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/vedranm/keyring-IcBJOb/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:WINDOWID=31467946
:GNOME_KEYRING_CONTROL=/run/user/vedranm/keyring-IcBJOb
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=vedranm
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/vedranm/keyring-IcBJOb/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1146,unix/unix:/tmp/.ICE-unix/1146
:USERNAME=vedranm
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/vedranm/.local/bin:/home/vedranm/bin
:MAIL=/var/spool/mail/vedranm
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/vedranm
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1142
:LANG=en_GB.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/vedranm
:XDG_SEAT=seat0
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=vedranm
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-LvV5wXSFEO,guid=7d83227a8eda0fc5e29a48b600000020
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/vedranm
:DISPLAY=:0
:CCACHE_HASHDIR=
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-vedranm-auXInQ/database
:_=/usr/bin/htop

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63178                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63178                63178                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/2
:pos:	0
:flags:	0100002
:1:/dev/pts/2
:pos:	0
:flags:	0100002
:2:/dev/pts/2
:pos:	0
:flags:	0100002

smolt_data:
:
:
:General
:=================================
:UUID: 19e34119-5dca-47cf-943e-fd12e7dacd8e
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_GB.UTF-8
:Platform: x86_64
:BogoMIPS: 6186.36
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Phenom(tm) II X2 550 Processor
:CPU Stepping: 2
:CPU Family: 16
:CPU Model Num: 4
:Number of CPUs: 2
:CPU Speed: 3100
:System Memory: 7983
:System Swap: 9967
:Vendor: To Be Filled By O.E.M.
:System: To Be Filled By O.E.M. To Be Filled By O.E.M.
:Form factor: Desktop
:Kernel: 3.4.3-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17297:6217:17297) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4098:43656:5762:43656) pci, snd_hda_intel, MULTIMEDIA, Barts HDMI Audio [Radeon HD 6800 Series]
:(4332:33128:6217:33128) pci, r8169, ETHERNET, Motherboard (one of many)
:(4098:23060:6217:23060) pci, None, HOST/PCI, RD890 PCI to PCI bridge (external gfx0 port B)
:(7023:28707:6217:28707) pci, xhci_hcd, USB, N/A
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4098:23062:6217:23060) pci, pcieport, PCI/PCI, RD890 PCI to PCI bridge (PCI express gpp port B)
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4098:17302:6217:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:6217:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(6987:37284:6987:37284) pci, pata_marvell, STORAGE, 88SE91A4 SATA 6Gb/s Controller
:(6987:37152:6987:37152) pci, ahci, STORAGE, N/A
:(4354:9:4354:24) pci, snd_hda_intel, MULTIMEDIA, SB1040
:(4098:17312:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 0)
:(4098:17313:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 1)
:(4098:17315:4098:0) pci, pcieport, PCI/PCI, N/A
:(4098:17308:6217:17308) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:6217:17285) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17309:6217:17309) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17305:6217:17305) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(5772:28:5243:4147) pci, ath5k, ETHERNET, AirPace Wi-Fi
:(4098:17302:6217:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:26425:5762:12567) pci, radeon, VIDEO, Barts PRO [ATI Radeon HD 6800 Series]
:(4098:17303:6217:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:6217:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:6217:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4354:28678:4354:16) pci, None, PCI/PCI, [SB X-Fi Xtreme Audio] CA0110-IBG PCI to PCIe Bridge
:(4098:23068:6217:23060) pci, pcieport, PCI/PCI, RD890 PCI to PCI bridge (PCI express gpp port H)
:(5138:5924:5435:4432) pci, snd_ice1724, MULTIMEDIA_AUDIO, PHASE 22
:(4098:23064:6217:23060) pci, pcieport, PCI/PCI, RD890 PCI to PCI bridge (PCI express gpp port D)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda6 / ext4 4096 4096 8180692 5674623 5592717 2048000 1707740 1707740
:/dev/sda5 /boot ext4 1024 1024 508644 447707 422107 128016 127665 127665
:/dev/sda8 /home ext4 4096 4096 18651307 5401700 4467544 4677632 4382272 4382272
:

var_log_messages:
:Jun 24 19:33:56 kalopsia yum[5699]: Installed: htop-1.0-1.fc17.x86_64
:Jun 25 20:49:46 kalopsia abrt[7969]: Saved core dump of pid 7964 (/usr/bin/htop) to /var/spool/abrt/ccpp-2012-06-25-20:49:46-7964 (1011712 bytes)
Comment 1 Vedran Miletić 2012-06-25 15:46:58 EDT
Created attachment 594265 [details]
File: backtrace
Comment 2 Vedran Miletić 2012-06-25 15:47:03 EDT
Created attachment 594266 [details]
File: maps
Comment 3 Fedora Update System 2012-07-10 16:27:12 EDT
htop-1.0.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/htop-1.0.1-1.fc17
Comment 4 Fedora Update System 2012-07-11 19:52:34 EDT
Package htop-1.0.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing htop-1.0.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10530/htop-1.0.1-1.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-07-26 18:36:19 EDT
htop-1.0.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.